Subject: Re: [MACVLAN]: Fix memleak on device removal/crash on module removal

From: Patrick McHardy <[email-masked]>
Date: Thu, 08 May 2008 17:34:02 +0200

Ben Greear wrote:
>>>>     [MACVLAN]: Fix memleak on device removal/crash on module removal
>>>>       
>>> Thanks.  I just tested this on 2.6.23 and it seems to fix the crash.
>>>     
>>
>> I've applied this to net-2.6, and will queue it up for net-2.6
>> as well.
>>
>> Thanks again!
>>   
> 
> This might be worth adding to any/all 2.6.23+ stable series since it's a 
> reliable kernel crash on module unload.

I don't think there is anyone maintaining the stable kernels
before stable-2.6.25 (for which I think Dave already queued
it up, above appears to be a typo).

> I'm not sure if anyone else is really using mac-vlans much yet though...

I know of a few users, but not too many I guess. The fix
is obvious though so it doesn't hurt for -stable in any
case.